Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Class DefaultErrorHandler

    java.lang.Object
      org.apache.batik.css.parser.DefaultErrorHandler

All Implemented Interfaces:
  org.w3c.css.sac.ErrorHandler

    public class DefaultErrorHandler

extends Object
implements org.w3c.css.sac.ErrorHandler

This class provides a default implementation of the `ErrorHandler` interface.

Field Summary
`static org.w3c.css.sac.ErrorHandler` | `INSTANCE` The instance of this class.

Constructor Summary
`protected` | `DefaultErrorHandler()` This class does not need to be instantiated.

Method Summary
`void` | `error(org.w3c.css.sac.CSSParseException e)` SAC: Implements {ErrorHandler#error(CSSParseException)}.
`void` | `fatalError(org.w3c.css.sac.CSSParseException e)` SAC: Implements {ErrorHandler#fatalError(CSSParseException)}.
`void` | `warning(org.w3c.css.sac.CSSParseException e)` SAC: Implements {ErrorHandler#warning(CSSParseException)}.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final org.w3c.css.sac.ErrorHandler INSTANCE

  The instance of this class.

Constructor Detail

### DefaultErrorHandler

    protected DefaultErrorHandler()

  This class does not need to be instantiated.

Method Detail

### warning

    public void warning(org.w3c.css.sac.CSSParseException e)

  SAC: Implements {ErrorHandler#warning(CSSParseException)}.

  Specified by:
    `warning` in interface `org.w3c.css.sac.ErrorHandler`

### error

    public void error(org.w3c.css.sac.CSSParseException e)

  SAC: Implements {ErrorHandler#error(CSSParseException)}.

  Specified by:
    `error` in interface `org.w3c.css.sac.ErrorHandler`

### fatalError

    public void fatalError(org.w3c.css.sac.CSSParseException e)

  SAC: Implements {ErrorHandler#fatalError(CSSParseException)}.

  Specified by:
    `fatalError` in interface `org.w3c.css.sac.ErrorHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.